Subject: Re: [bug#31416] [PATCH 3/4] bootloader: Add make-u-boot-bootloader.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 Jun 2018 22:33:05 +0200

Hello Danny,

Danny Milosavljevic <[email-masked]> skribis:

> I've researched a little in the mean time and found out that other projects
> DO have automated u-boot installation, for example:
>
> https://github.com/buildroot/buildroot/blob/master/board/olimex/a20_olinuxino/genimage.cfg
>
> So we could leave this stuff mostly to them - although it would mean
> we'd only support boards they support.

Instead of using these .cfg files as-is, how about “importing” them?
That <soc> structure (or whatever) we discussed could contain
essentially the relevant part of those .cfg files (the partitioning info
founds in those files seems less relevant to me, or at least it seems
like a separate issue.)

WDYT?

IOW, we could definitely take Buildroot as an inspiration (it’s probably
one of the best tools in this area), but maybe not reuse the actual
files.

Thanks,
Ludo’.